Package org.codehaus.groovy.runtime

# Class DateGroovyMethods

java.lang.Object
org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport
org.codehaus.groovy.runtime.DateGroovyMethods

    @Deprecated
    public class DateGroovyMethods
    extends DefaultGroovyMethodsSupport

Deprecated.
use DateUtilExtensions instead

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DateGroovyMethods()` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.sql.Date` | `clearTime​(java.sql.Date self)` | Deprecated.
  `static java.util.Calendar` | `clearTime​(java.util.Calendar self)` | Deprecated.
  `static java.util.Date` | `clearTime​(java.util.Date self)` | Deprecated.
  `static java.util.Calendar` | `copyWith​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static java.util.Date` | `copyWith​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static void` | `downto​(java.util.Calendar self, java.util.Calendar to, Closure closure)` | Deprecated.
  `static void` | `downto​(java.util.Date self, java.util.Date to, Closure closure)` | Deprecated.
  `static java.lang.String` | `format​(java.util.Calendar self, java.lang.String pattern)` | Deprecated.
  `static java.lang.String` | `format​(java.util.Date self, java.lang.String format)` | Deprecated.
  `static java.lang.String` | `format​(java.util.Date self, java.lang.String format, java.util.TimeZone tz)` | Deprecated.
  `static int` | `getAt​(java.util.Calendar self, int field)` | Deprecated.
  `static int` | `getAt​(java.util.Date self, int field)` | Deprecated.
  `static java.lang.String` | `getDateString​(java.util.Date self)` | Deprecated.
  `static java.lang.String` | `getDateTimeString​(java.util.Date self)` | Deprecated.
  `static java.lang.String` | `getTimeString​(java.util.Date self)` | Deprecated.
  `static java.sql.Date` | `minus​(java.sql.Date self, int days)` | Deprecated.
  `static java.sql.Timestamp` | `minus​(java.sql.Timestamp self, int days)` | Deprecated.
  `static int` | `minus​(java.util.Calendar self, java.util.Calendar then)` | Deprecated.
  `static java.util.Date` | `minus​(java.util.Date self, int days)` | Deprecated.
  `static int` | `minus​(java.util.Date self, java.util.Date then)` | Deprecated.
  `static java.sql.Date` | `next​(java.sql.Date self)` | Deprecated.
  `static java.util.Calendar` | `next​(java.util.Calendar self)` | Deprecated.
  `static java.util.Date` | `next​(java.util.Date self)` | Deprecated.
  `static java.sql.Date` | `plus​(java.sql.Date self, int days)` | Deprecated.
  `static java.sql.Timestamp` | `plus​(java.sql.Timestamp self, int days)` | Deprecated.
  `static java.util.Date` | `plus​(java.util.Date self, int days)` | Deprecated.
  `static java.sql.Date` | `previous​(java.sql.Date self)` | Deprecated.
  `static java.util.Calendar` | `previous​(java.util.Calendar self)` | Deprecated.
  `static java.util.Date` | `previous​(java.util.Date self)` | Deprecated.
  `static void` | `putAt​(java.util.Calendar self, int field, int value)` | Deprecated.
  `static void` | `putAt​(java.util.Date self, int field, int value)` | Deprecated.
  `static void` | `set​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static void` | `set​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static java.util.Calendar` | `toCalendar​(java.util.Date self)` | Deprecated.
  `static java.util.Calendar` | `updated​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static java.util.Date` | `updated​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)` | Deprecated.
  `static void` | `upto​(java.util.Calendar self, java.util.Calendar to, Closure closure)` | Deprecated.
  `static void` | `upto​(java.util.Date self, java.util.Date to, Closure closure)` | Deprecated.

  ### Methods inherited from class org.codehaus.groovy.runtime.DefaultGroovyMethodsSupport

  `cloneSimilarCollection, cloneSimilarMap, closeQuietly, closeWithWarning, createSimilarArray, createSimilarCollection, createSimilarCollection, createSimilarCollection, createSimilarList, createSimilarMap, createSimilarOrDefaultCollection, createSimilarQueue, createSimilarSet, normaliseIndex, sameType, subListBorders, subListBorders, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired, writeUTF16BomIfRequired`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DateGroovyMethods

    public DateGroovyMethods()
    Deprecated.

- ## Method Details

  - ### getAt

    @Deprecated public static int getAt​(java.util.Date self, int field)
    Deprecated.

  - ### toCalendar

    @Deprecated public static java.util.Calendar toCalendar​(java.util.Date self)
    Deprecated.

  - ### getAt

    @Deprecated public static int getAt​(java.util.Calendar self, int field)
    Deprecated.

  - ### putAt

    @Deprecated public static void putAt​(java.util.Calendar self, int field, int value)
    Deprecated.

  - ### putAt

    @Deprecated public static void putAt​(java.util.Date self, int field, int value)
    Deprecated.

  - ### set

    @Deprecated public static void set​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### updated

    @Deprecated public static java.util.Calendar updated​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### copyWith

    @Deprecated public static java.util.Calendar copyWith​(java.util.Calendar self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### set

    @Deprecated public static void set​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### updated

    @Deprecated public static java.util.Date updated​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### copyWith

    @Deprecated public static java.util.Date copyWith​(java.util.Date self, java.util.Map<java.lang.Object,​java.lang.Integer> updates)
    Deprecated.

  - ### next

    @Deprecated public static java.util.Date next​(java.util.Date self)
    Deprecated.

  - ### next

    @Deprecated public static java.util.Calendar next​(java.util.Calendar self)
    Deprecated.

  - ### previous

    @Deprecated public static java.util.Calendar previous​(java.util.Calendar self)
    Deprecated.

  - ### next

    @Deprecated public static java.sql.Date next​(java.sql.Date self)
    Deprecated.

  - ### previous

    @Deprecated public static java.util.Date previous​(java.util.Date self)
    Deprecated.

  - ### previous

    @Deprecated public static java.sql.Date previous​(java.sql.Date self)
    Deprecated.

  - ### plus

    @Deprecated public static java.util.Date plus​(java.util.Date self, int days)
    Deprecated.

  - ### plus

    @Deprecated public static java.sql.Date plus​(java.sql.Date self, int days)
    Deprecated.

  - ### plus

    @Deprecated public static java.sql.Timestamp plus​(java.sql.Timestamp self, int days)
    Deprecated.

  - ### minus

    @Deprecated public static java.util.Date minus​(java.util.Date self, int days)
    Deprecated.

  - ### minus

    @Deprecated public static java.sql.Date minus​(java.sql.Date self, int days)
    Deprecated.

  - ### minus

    @Deprecated public static java.sql.Timestamp minus​(java.sql.Timestamp self, int days)
    Deprecated.

  - ### minus

    @Deprecated public static int minus​(java.util.Calendar self, java.util.Calendar then)
    Deprecated.

  - ### minus

    @Deprecated public static int minus​(java.util.Date self, java.util.Date then)
    Deprecated.

  - ### format

    @Deprecated public static java.lang.String format​(java.util.Date self, java.lang.String format)
    Deprecated.

  - ### format

    @Deprecated public static java.lang.String format​(java.util.Date self, java.lang.String format, java.util.TimeZone tz)
    Deprecated.

  - ### getDateString

    @Deprecated public static java.lang.String getDateString​(java.util.Date self)
    Deprecated.

  - ### getTimeString

    @Deprecated public static java.lang.String getTimeString​(java.util.Date self)
    Deprecated.

  - ### getDateTimeString

    @Deprecated public static java.lang.String getDateTimeString​(java.util.Date self)
    Deprecated.

  - ### clearTime

    @Deprecated public static java.util.Date clearTime​(java.util.Date self)
    Deprecated.

  - ### clearTime

    @Deprecated public static java.sql.Date clearTime​(java.sql.Date self)
    Deprecated.

  - ### clearTime

    @Deprecated public static java.util.Calendar clearTime​(java.util.Calendar self)
    Deprecated.

  - ### format

    @Deprecated public static java.lang.String format​(java.util.Calendar self, java.lang.String pattern)
    Deprecated.

  - ### upto

    @Deprecated public static void upto​(java.util.Date self, java.util.Date to, Closure closure)
    Deprecated.

  - ### upto

    @Deprecated public static void upto​(java.util.Calendar self, java.util.Calendar to, Closure closure)
    Deprecated.

  - ### downto

    @Deprecated public static void downto​(java.util.Date self, java.util.Date to, Closure closure)
    Deprecated.

  - ### downto

    @Deprecated public static void downto​(java.util.Calendar self, java.util.Calendar to, Closure closure)
    Deprecated.